Skip to main content
POST
Archive an idle Session thread

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-27
idempotency-key
string
Maximum string length: 255

Path Parameters

session_id
string
required
Pattern: ^sess_[0-9a-f]{32}$
thread_id
string
required
Pattern: ^sthr_[0-9a-f]{32}$

Response

One persistent, independently addressable Agent thread in a Session.

One persistent, independently addressable Agent thread in a Session.

id
string
required
Pattern: ^sthr_[0-9a-f]{32}$
type
enum<string>
required
Available options:
session_thread
agent
object
required
archived_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
created_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
parent_thread_id
string | null
required
Pattern: ^sthr_[0-9a-f]{32}$
session_id
string
required
Pattern: ^sess_[0-9a-f]{32}$
stats
object | null
required
status
enum<string>
required
Available options:
running,
idle,
rescheduling,
terminated
updated_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
usage
object | null
required